Update an agent bot
Update an agent bot's attributes
Authorization
userApiKey This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
The numeric ID of the account
The ID of the agentbot to be updated
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/accounts/0/agent_bots/0" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"name": "string",
"description": "string",
"thumbnail": "string",
"outgoing_url": "string",
"bot_type": "string",
"bot_config": {},
"account_id": 0,
"access_token": "string",
"system_bot": true
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}